from php5.my_long import *


class NullZvalue(LongZvalue):
    def __init__(self, zend_value_raw_data, level):
        super().__init__(zend_value_raw_data, level)

    def __repr__(self):
        return self.get_data_to_print()

    def __str__(self):
        return self.get_data_to_print()

    def check_long(self):
        return super(NullZvalue, self).check_long()

    def get_data_to_print(self):
        indent = self.level * spacer
        if values_only:
            return '{}null'.format(indent)
            # return '{}{}(null)'.format(indent, self.value)
        if not self.is_valid():
            return '{}Invalid Null'.format(indent)
        args = {'indent': indent, 'string': self.value}
        result = '{indent}Type: Null\n'.format(**args)
        return result
