IS_NULL = 0  # Doesn't use string
IS_LONG = 1  # Uses lval
IS_DOUBLE = 2  # Uses dval
IS_BOOL = 3  # Uses lval with values 0 and 1
IS_ARRAY = 4  # Uses ht
IS_OBJECT = 5  # Uses obj
IS_STRING = 6  # Uses str
IS_RESOURCE = 7  # Uses lval, which is the resource ID

# Special types used for late-binding of constants
IS_CONSTANT = 8
IS_CONSTANT_AST = 9

deprecation_refcount = 10000
spacer = "    "

string_deprecation_size = 0x100000

# HashTable
TS = nTableSize = 0
TM = nTableMask = 1
NOE = nNumOfElements = 2
PAD = hashTablePadding = 3
NFE = nNextFreeElement = 4
IP = pInternalPointer = 5
LH = pListHead = 6
LT = pListTail = 7
AB = arBuckets = 8

# Bucket
H = hashIndex = 0
KL = nKeyLength = 1
PADB = bucketPadding = 2
PD = pData = 3
PDPTR = pDataPtr = 4
LN = pListNext = 5
pListLast = LL = 6
NXT = pNext = 7
LST = pLast = 8
AK = arKey = 9

values_only = 0

property_info_size = 64
property_format = 'iiQiiQiiQiiQ'

hashtable_size = 72
hashtable_format = '4I5Q'

zval_size = 24

object_store_size = 24

class_entry_size_partial = 288

object_store_size = 24
object_store_format = 'QIIii'

object_store_bucket_size = 64

execute_data_size = 136

op_array_size_partial = 92

compiled_size = 24
