from struct import pack

from elf import valid_address, valid_addresses, get_offset
from php7.at_start.entry import get_data, get_glob_segments
from php7.at_start.entry import init
from php7.at_start.my_globals import *
from php7.hashtables.hashtable_zvalue import HashTableZvalue

filename = '../dumps/php7/core.3175'
from php7.zend_execute_data import ZendExecuteData

# filename = '../dumps/php7/core.6128'
filename = '../dumps/php7/core.5834'
filename = '../dumps/php7/core.28039'
filename = '../dumps/php7/core.3370'
filename = '../dumps/php7/core.13141'
filename = '..//dumps/php7/core.13610'
# filename = '../dumps/php7/core.5769'
filename = '../dumps/php7/core.9169'
init(filename)


def get_pointer(addr):
    if not valid_address(addr, get_glob_segments()):
        return None
    return unpack('Q', get_data(get_offset(addr, get_glob_segments()), 8))[0]


def check_valid(hashtables: [HashTableZvalue]):
    result = True
    for hashtable in hashtables:
        result = result and hashtable.is_valid()
    return result


from elf import get_all_addresses

# for address in get_all_addresses(get_glob_segments()):
# for address in [0x563f7b15e830]:
# for address in [0x5600fe753830]:
# for address in [0x56243d879830]:
# for address in [0x557dd56b3830]:
# for address in [0x55616d716830]:
# for address in [0xa5d030]:
# for address in [0xa5e030]:
for address in [0xa5e030]:
    symbol_table_a = address
    included_files_a = symbol_table_a + array_size
    jmp_buf_a = included_files_a + array_size
    ftaa = jmp_buf_a + 16
    ctaa = ftaa + 8
    zctaa = ctaa + 8
    ex_data_aa = zctaa + 32
    reg_list_a = ex_data_aa + 64
    per_list_a = reg_list_a + array_size

    symbol_table = HashTableZvalue(pack('Q', symbol_table_a))
    if not symbol_table.is_valid():
        continue
    included_files_table = HashTableZvalue(pack('Q', included_files_a))
    if not included_files_table.is_valid():
        continue

    # fta, cta, zca = get_pointer(ftaa), get_pointer(ctaa), get_pointer(zctaa)
    #
    # if None in [fta, cta, zca]:
    #     continue

    fta, cta, zca, ex_data_a = get_pointer(ftaa), get_pointer(ctaa), get_pointer(zctaa), get_pointer(ex_data_aa)

    if None in [fta, cta, zca, ex_data_aa]:
        continue

    if not valid_addresses([reg_list_a, per_list_a], get_glob_segments()):
        continue

    # from elf import get_address_from_offset
    # print(HashTableZvalue(pack('Q',get_address_from_offset(0xa49c0, get_glob_segments()))))

    # print([fta, cta, zca])
    # print([ftaa, ctaa, zctaa])
    if valid_addresses([fta, cta, zca], get_glob_segments()):
        function_table = HashTableZvalue(pack('Q', fta))
        if not function_table.is_valid():
            continue
        class_table = HashTableZvalue(pack('Q', cta))
        if not class_table.is_valid():
            continue
        zend_constants_table = HashTableZvalue(pack('Q', zca))
        if not zend_constants_table.is_valid():
            continue
        # execute_data =
        regular_list = HashTableZvalue(pack('Q', reg_list_a))
        persistent_list = HashTableZvalue(pack('Q', per_list_a))
        if check_valid([symbol_table, included_files_table, function_table, class_table, zend_constants_table]):
            # if check_valid([symbol_table, included_files_table, function_table, class_table, zend_constants_table, regular_list, persistent_list]):
            print(hex(address))
            # print(symbol_table, included_files_table, function_table, class_table, zend_constants_table, regular_list,
            #       persistent_list, hex(ex_data_aa), hex(get_offset(ex_data_a, get_glob_segments())),
            #       sep='\n===============================\n')
            print(ZendExecuteData(pack('Q', ex_data_a)))
            print('???????', hex(address), '???????????????????')

            # print(valid_address(7677208,get_glob_segments()))
            # print(function_table, sep='\n===============================\n')
            # print(hex(ex_data_aa))
            # print(hex(get_offset(zctaa, get_glob_segments())))
            # print(hex(get_offset(ex_data_aa, get_glob_segments())), hex(ex_data_a))

            from elf import get_address_from_offset

            # print(HashTableZvalue(pack('Q', get_address_from_offset(0xa49c0 - 4, get_glob_segments()))))
            # print(HashTableZvalue(pack('Q', get_address_from_offset(0xa49c0 - 4 + array_size, get_glob_segments()))))
            #
            # print(valid_address(0x56243d57c690, get_glob_segments()))


            # print(data)
            # zval = HashTableZvalue(pack('Q', address))
            # if zval.is_valid():
            #     print(zval)
            # del zval

            # zval = ZvalStruct(0x5600ff3b69e0)
            # print(zval)
            #     pass
            # for off in range(0,3000,4):
            #     table = HashTableZvalue(pack('Q',address+off))
            #     if table.is_valid():
            #         print(table, hex(address+off))
